该模块提供与外部软件对接的数据转换功能，包括导出PMODEL、导入PMODEL、导出FBX、导出IFC等。


# 导入
### <img src="/uploads/pkpm-bim-uni/images/m_8a208e8d787778bfd1a5f6b4b3829567_r.png" width="25" height="" />导入PMODEL 
点击“导入PMODEL”，弹出相应对话框。在浏览对话框中选择待导入的.pmodel格式文件，选择打开，即可导入PMODEL格式模型到PKPM-BIM软件中。


### <img src="/uploads/pkpm-bim-uni/images/m_ca4db76e4623295b26cf9fee50711d94_r.png" width="25" height="" />导入PM（仅结构专业）
点击“导入PM”，在弹出的对话框选择.jws文件，点击“打开”，将PKPM的结构模型导入到结构专业中。导入PM操作将清空当前已有结构专业模型数据，并无法撤销，请谨慎操作。


### <img src="/uploads/pkpm-bim-uni/images/m_5836ac60a28b88e035ede4ed934bc9d7_r.png" width="25" height="" />导入PDB（仅结构专业）
在大多数情况下，通过计算分析功能跳转到PKPM结构计算模块后所得到的计算结果，均可在返回PKPM-BIM时导入。导入相应计算结果时将有弹窗提醒用户。但是在少量情况下，返回PKPM-BIM时，程序不能自动弹出窗口提示用户导入计算结果文件。此时，用户可使用该功能导入计算文件，以进行后续操作。
点击导入计算文件按钮后，弹出对话框，如图所示。该对话框内将自动定位到项目计算文件夹的对应路径。用户可在其中手动选取计算结果文件（.PDB文件），点击打开按钮后，即开始导入进程。请注意：该目录下可能有多个PDB文件。一般来说，请选择容量最大的PDB文件。

<img src="/uploads/pkpm-bim-uni/images/m_be12aa36225d2663b7cfbc679be75906_r.png" width="500" height="" />



### <img src="/uploads/pkpm-bim-uni/images/m_35efe0551a815962e4368aaf5ebd620e_r.png" width="25" height="" />导入ArchiCAD（仅建筑专业）
点击“导入ArchiCAD”，弹出浏览对话框，选择.paf或.adb格式的中间文件，可以将选择的ArchiCAD导出的模型导入PKPM-BIM软件中。

<img src="/uploads/pkpm-bim-uni/images/m_b34b3f0b7e91e6629ab4a87c2e0757aa_r.png" width="500" height="" />

### <img src="/uploads/pkpm-bim-uni/images/m_3e4df13d1c9a4588a520796a0fdc4e46_r.png" width="25" height="" />导入SKP（仅建筑专业）
点击“导入SKP”将显示以下对话框，可选择被导入.skp文件的路径、在模型中插入的位置和角度。


<img src="/uploads/pkpm-bim-uni/images/m_5f36916c75ab52e322c0ea304682c87d_r.png" width="300" height="" />

### <img src="/uploads/pkpm-bim-uni/images/m_2f64c2f10e2225c3bea407ac98dab861_r.png" width="25" height="" />导入IFC 
点击“导入IFC”，弹出相应对话框。在浏览对话框中选择待导入的.ifc格式文件，选择打开，即可导入IFC格式模型到PKPM-BIM软件中。


# 导出
### <img src="/uploads/pkpm-bim-uni/images/m_ed77f54cbe9b2c145548f421d86766ee_r.png" width="25" height="" />导出PMODEL 
点击“导出PMODEL”按钮，弹出相应对话框，如图所示。

<img src="/uploads/pkpm-bim-uni/images/m_6fab3d7b5887864921590b1842d1fa36_r.png" width="300" height="" />

* 视图选择：选择要导出的模型视图。
* 专业：选择要导出模型包含专业类别。
* 曲线最大分割数：设定圆弧形分割数量，保证导出模型在效率和显示上的平衡；
* 文件路径：设定导出文件的保存路径。点击浏览弹出浏览对话框，可以选择保存文件的路径；
* 确定：点击确定执行导出PMODEL文件；
* 取消：取消导出操作。


### <img src="/uploads/pkpm-bim-uni/images/m_787899e71f691226702ec55bae73e688_r.png" width="25" height="" />导入FBX 
点击“导出FBX”功能，弹出图相应话框。选择导出.fbx文件的路径，点击保存按钮，可选择将当前打开项目保存为.FBX格式文件。


### <img src="/uploads/pkpm-bim-uni/images/m_10b3301269bbb7dd15fd37a2527ff362_r.png" width="25" height="" />导出IFC 
点击“导出IFC”功能，弹出图相应话框。选择导出.ifc文件的路径，点击保存按钮，可选择将当前打开项目保存为.IFC格式文件。


### <img src="/uploads/pkpm-bim-uni/images/m_5a5c7069ec5b04bbb0cd502e00ac68b3_r.png" width="25" height="" />导出图片 
提供图片导出和图片格式设置功能。
允许在全楼或单层视图下导出。导出图片文件格式可选PNG、JPG、BMP。
图片导出功能将获得全楼或本层（取决于在全楼或单层视图）所有图素的信息，并以用户当前选定的视角（可通过视图盒子调整）导出图片，并保存在指定路径。
① 图片导出
点击功能按钮后，即弹出对话框，由用户指定图片保存路径和图片格式。点击“保存”即可导出图片。
在未修改图片设置参数的情况下，将调用默认设置导出图片。


② 图片设置
本功能可调整导出图片的效果。
点击功能按钮后，弹出相应对话框，如下图所示。可在本对话框内，修改图片的背景颜色和图片尺寸。
<img src="/uploads/pkpm-bim-uni/images/m_138857731be271bd90f8b95eff0c58fe_r.png" width="400" height="" />


### <img src="/uploads/pkpm-bim-uni/images/m_2ced93c69d41845651eca23cdb7a602c_r.png" width="25" height="" />导出PM（仅结构专业）
可将PKPM-BIM的结构模型导出成PM模型。点击“导出PM”，在弹出的对话框中选择保存路径后，点击“确定”即可导出。


### <img src="/uploads/pkpm-bim-uni/images/m_5573a20656f1560bbbfedd9803b91f17_r.png" width="25" height="" />导出ArchiCAD（仅建筑专业）
导出ArchiCAD功能可以将PKPM-BIM的模型导出为ArchiCAD可以应用的.paf文件。在导出模型时，可以选择导出模型的专业，并可对圆弧精度进行设定。
<img src="/uploads/pkpm-bim-uni/images/m_6ff3f121be5be2609b268ddc24ed2d48_r.png" width="200" height="" />